import { bioEntityContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import { MultiPinBioEntity } from '@/types/bioEntity';
import { PinType } from '@/types/pin';
import { getMultipinsBioEntities } from './getMultipinsBioEntities';

const ZERO_MULTI_BIO_ENTITIES: MultiPinBioEntity = [
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'bioEntity' as PinType,
  },
  {
    ...bioEntityContentFixture.bioEntity,
    x: 1000,
    type: 'bioEntity' as PinType,
  },
];

const ONE_MULTI_BIO_ENTITIES: MultiPinBioEntity = [
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'bioEntity' as PinType,
    x: 100,
    y: 100,
  },
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'drugs' as PinType,
    x: 100,
    y: 100,
  },
];

const FEW_MULTI_BIO_ENTITIES_WITH_MULTIPLIED_TYPE: MultiPinBioEntity = [
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'bioEntity' as PinType,
    x: 100,
    y: 100,
  },
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'drugs' as PinType,
    x: 100,
    y: 100,
  },
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'drugs' as PinType,
    x: 100,
    y: 100,
  },
  {
    ...bioEntityContentFixture.bioEntity,
    type: 'drugs' as PinType,
    x: 100,
    y: 100,
  },
];

describe('getMultipinsBioEntities - util', () => {
  it('should return empty array if theres no multi pins', () => {
    expect(getMultipinsBioEntities({ bioEntities: ZERO_MULTI_BIO_ENTITIES })).toStrictEqual([]);
  });

  it('should return valid multi pins', () => {
    expect(getMultipinsBioEntities({ bioEntities: ONE_MULTI_BIO_ENTITIES })).toStrictEqual([
      ONE_MULTI_BIO_ENTITIES,
    ]);
  });

  it('should return valid multi pins if theres few types of pins', () => {
    expect(
      getMultipinsBioEntities({ bioEntities: FEW_MULTI_BIO_ENTITIES_WITH_MULTIPLIED_TYPE }),
    ).toStrictEqual([ONE_MULTI_BIO_ENTITIES]);
  });
});
